Package oracle.nosql.driver.ops

## Enum TableResult.State

- java.lang.Object
- - java.lang.Enum<TableResult.State>
  - - oracle.nosql.driver.ops.TableResult.State

- All Implemented Interfaces:
    `Serializable`, `Comparable<TableResult.State>`
  Enclosing class:
    TableResult

      public static enum TableResult.State
      extends Enum<TableResult.State>

  The current state of the table

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVE` | The table is ready to be used.
    `CREATING` | The table is being created and cannot yet be used
    `DROPPED` | The table has been dropped or does not exist
    `DROPPING` | The table is being dropped and cannot be used
    `UPDATING` | The table is being updated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TableResult.State` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TableResult.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final TableResult.State ACTIVE

      The table is ready to be used. This is the steady state after creation or modification.

    - #### CREATING

          public static final TableResult.State CREATING

      The table is being created and cannot yet be used

    - #### DROPPED

          public static final TableResult.State DROPPED

      The table has been dropped or does not exist

    - #### DROPPING

          public static final TableResult.State DROPPING

      The table is being dropped and cannot be used

    - #### UPDATING

          public static final TableResult.State UPDATING

      The table is being updated. It is available for normal use, but additional table modification operations are not permitted while the table is in this state.

  - ### Method Detail

    - #### values

          public static TableResult.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableResult.State c : TableResult.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableResult.State valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null